Skip to navigation

Get bulk task results

Beta
Get a temporary url to a file containing the result of each bulk task. The file will contain at minimum the respective request id for each result. The file is in jsonl format.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_idstringRequired

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Response

Successful results details
itemsstringformat: "uri"

A pre-signed S3 URL for downloading the IDs. The file is a csv with the headers “request_id, id”.

listingUristringformat: "uri"
A URL linking to the listing endpoint for the downloaded item type.
taskIdstring

Errors

400
Bulk Successful Results Get Request Bad Request Error
403
Bulk Successful Results Get Request Forbidden Error
404
Bulk Successful Results Get Request Not Found Error
429
Bulk Successful Results Get Request Too Many Requests Error
500
Bulk Successful Results Get Request Internal Server Error